<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 24/7/2018
 * Time: 6:08 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre']) && isset($_REQUEST['descripcion']) && isset($_REQUEST['monto'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $nombre = $_REQUEST['nombre'];
            $identificador = uniqid('couta',true);
            $validar  = R::findOne( 'gastoadicional', 'nombre =:nombreC AND id_condominio =:id_condominioc AND estado =:estado',array('nombreC' => $_REQUEST['nombre'], 'id_condominioc' => $condominio['condominio_id'], 'estado'=>$_REQUEST['estado']));
            if (is_null($validar)==TRUE){
                    $gastoadicional = R::dispense('gastoadicional');
                    $gastoadicional->nombre = $nombre;
                    $gastoadicional->descripcion = $_REQUEST['descripcion'];
                    $gastoadicional->monto = $_REQUEST['monto'];
                    $gastoadicional->identificador = $identificador;
                    $gastoadicional->id_condominio = $condominio['condominio_id'];
                    $gastoadicional->id_autor = $creadoPor;
                    $gastoadicional->fechaRegistro = date('Y-m-d H:i:s');
                    $gastoadicional->fechaModificacion = date('Y-m-d H:i:s');
                    $gastoadicional->estado = 1;
                    $id = R::store($gastoadicional);
                    include '../comun/mensajeCreado.php';
            }else{
                include '../comun/mensajeYaExiste.php';
            }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}